Description

Client sends me a Template wich has css styles like

a{
 text-shadow: -1px -1px 0px #101010, 1px 1px 0px #505050;
}

Styles like this having side effects f.e. on the pagetree.
Maybe its a good advice for the template builder to introduce a rule like:
Always build a wrapper div after the body <div class="myProject"> and prefix all your css with .myProject ...{}
wich should be not a big problem if youre using sass or less.

Or the css of neos has to reset all possible stype informations. but i think you'll never get all of them, right?

Kind regards
Carsten Bleicker

History
#1 - 2013-07-23 10:37 - Frans Saris

Hi,

is it not possible to reset every style in .neos before setting the neos styles?

gr. Frans

#2 - 2013-11-16 19:54 - Benjamin Albrecht

Hi,

I have the same problem with my custom style for links:
My links have a background color and now all links in the Neos "backend" have the same background color...

The UX of the Neos Backend isn't really cool with this side effect ;-)

#3 - 2014-10-02 13:11 - Philipp Hanebrink
- Status changed from New to Closed

Moved to Jira: https://jira.typo3.org/browse/NEOS-515
